#include "getnode.h"
#include <QTextStream>
#include <QDebug>
#include <unistd.h>
GetNode *getNode;
void update()
{

    QString result = QString::number(getNode->armuV).append(",")
      .append(QString::number(getNode->armuA)).append(",")
      .append(QString::number(getNode->armuW)).append(",")
      .append(QString::number(getNode->kfcuV)).append(",")
      .append(QString::number(getNode->kfcuA)).append(",")
      .append(QString::number(getNode->kfcuW)).append(",")
      .append(QString::number(getNode->g3duV)).append(",")
      .append(QString::number(getNode->g3duA)).append(",")
      .append(QString::number(getNode->g3duW)).append(",")
      .append(QString::number(getNode->memuV)).append(",")
      .append(QString::number(getNode->memuA)).append(",")
      .append(QString::number(getNode->memuW));
    qDebug() << qPrintable(result);
}

int main(int argc, char *argv[])
{
    if(argc != 2){
	qDebug() << "need sampling interval in microseconds!";
	exit(1);
    }
    int samplingInterval=atoi(argv[1]);
    getNode = new GetNode();

    if (getNode->OpenINA231()) {
        qDebug() << "OpenINA231 error";
    }

	while(1){

		getNode->GetINA231();
		update();
		usleep(samplingInterval);
		//usleep(200000);
	}
}
