import sys
import os.path

array = []
if len(sys.argv) < 2:
	print("Wrong number of arguments!")
	sys.exit()

perf_stat_file = str(sys.argv[1])

if not os.path.isfile(perf_stat_file):
    print(0)
    sys.exit(0)

json = '{'
with open(perf_stat_file, 'r') as ins:
    for line in ins:
        split = line.split(':')
        if len(split) == 2:
            json += '"' + split[1][:-1] + '":' + split[0] + ', '

print(json[:-2] + '}')
