. "$HOME/cmb-board/mountBlanc/backend.cfg"
set -e
trap ctrl_c INT

function ctrl_c {
	echo "CLEANUP!"
	disown
	pkill stress
	exit 1
}

function reached {
	# using head to remove GPU temp
	tempsString=`head -n 4 $temperatureFile | cut -d":" -f2 | cut -c 1-3`
	tempsArray=($tempsString)
	local ret=1
	for i in "${tempsArray[@]}" ; do
	   if [[ $i < $targetTemperature ]]; then
		 ret=0
		 break
	   fi
	done
	echo $ret
	
}

while [[ `reached` == 1 ]] ; do
	echo 'cooling'
	sleep 1
done

if [[ `reached` != 1 ]] ; then
	stress -c 4 > /dev/null  &
	while [[ `reached` != 1 ]] ; do
		echo 'heating'
		continue
	done
	disown
	pkill stress
fi
exit 0
