from sqlalchemy import or_

from database.models import Submission, db
from server import app


def cleanupQueue():
    db.init_app(app)
    print "Cleaning queue..."
    app.test_request_context().push()
    subs = Submission.query.filter(or_(Submission.state == "in queue", Submission.state == "running")).all()
    for sub in subs:
        sub.state = "rerun"
        print "state changed to rerun!"

    subs = Submission.query.filter(Submission.state == "profiling").all()
    for sub in subs:
        sub.state = "finished"
        print "state changed to finished!"

    db.session.commit()
    print "Done cleaning queue!"


cleanupQueue()
