from server import create_app, configure_manager, socketio, debugging_enabled

app = create_app(None)
manager = configure_manager(app)


@manager.command
def start():
    # app.run(host='127.0.0.1', port=app.config['SERVER_PORT'], debug=True)
    socketio.run(app, host='127.0.0.1', port=app.config['SERVER_PORT'], debug=debugging_enabled)

if __name__ == '__main__':
    manager.run()
