from flask.ext.testing import TestCase

from cmb_utils.mail import mail, send_mail
from server import create_app


class problemsTest(TestCase):
    Testing = True
    TESTING = True

    def create_app(self):
        tmp = create_app(self, push=False)
        # tmp.config['SERVER_PORT']=1337
        tmp.config.update(TESTING=True)
        mail.init_app(tmp)
        return tmp

    def test_send_mail(self):
        with mail.record_messages() as outbox:
            send_mail(msg='test',
                      subject='testing',
                      recipients=['ntnu.cmb@gmail.com'])
            assert len(outbox) == 1
            assert outbox[0].subject == "testing"
            assert outbox[0].html == "test"
