
angular.module('cmb')
.controller('ErrorMsgCtrl', function($scope, _) {
    "use strict";
    $scope._ = _;

    $scope.splitMessage = [];

    $scope.isCompilationError = function(state) {
      return state && state.indexOf("COMPILATION_FAILED") != -1;
    };

    $scope.isRuntimeError = function(state) {
      return state && state.indexOf("RUNTIME_ERROR") != -1;
    };

    $scope.isFalsyOutput = function(state) {
      return state && state.indexOf("CORRECTNESS_BAD_OUTPUT") != -1;
    };

    $scope.isTimeoutError = function(state) {
      return state && state.indexOf("TIMEOUT") != -1;
    };

    $scope.isOtherError = function(state) {
      return !state;
    };

    $scope.parseRuntimeError = function(msg) {
      $scope.splitMessage = msg.split(new RegExp("Signal:|Output:"));
    };

    $scope.parseCompilationError = function(msg) {
      $scope.splitMessage = [msg];
    };

    $scope.parseFalsyOutput = function(msg) {
      $scope.splitMessage = msg.split(new RegExp("Result:|was:"));
    };

    $scope.parseTimeoutError = function(msg) {
      $scope.splitMessage = [msg];
    };


});
