angular.module('cmb')
  .controller('ForgotPwCtrl', function($scope, $alert, $http, $state, myConfig) {
    'use strict';
    $scope.apiurl = myConfig.apiurl+'/api';

    $scope.requestNewPassword = function() {
        var profileData = {
          username: $scope.name,
          email: $scope.email
        };
        //var config = {headers: {'Authorization': 'Bearer '+localStorage['satellizer_token']}};
        var config = {headers: {'Authorization': 'Bearer '+localStorage.satellizer_token}};
        $http.post($scope.apiurl+'/forgot_password', profileData, config)
          .success(function(data){
            $scope.req_pw_alert = $alert({
              content: 'New Password Sent to '+data.email,
              container: '.main-content',
              placement: 'top',
              type: 'info',
              duration: 5
            });
            $state.go('login');
          })
          .error(function(error) {
            $scope.req_pw_alert = $alert({
              content: "Request for new password failed. Please contact admin.",
              container: '.main-content',
              placement: 'top',
              type: 'error',
              duration: 5
            });
          });
    };
  });
