describe('Unit NavbarCtrl: ', function() {
  // Load the module with Controller
  beforeEach(module('cmb'));

  var ctrl, scope;
  // inject the $controller and $rootScope services
  // in the beforeEach block
  beforeEach(inject(function($controller, $rootScope) {
    // Create a new scope that's a child of the $rootScope
    scope = $rootScope.$new();
    // Create the controller
    ctrl = $controller('NavbarCtrl', {
      $scope: scope
    });
  }));

	it('isAuthenticated should call auth.isAuthenticated',
      inject(function($auth){
        spyOn($auth, 'isAuthenticated').and.callFake(function() {});
        scope.isAuthenticated();
        expect($auth.isAuthenticated).toHaveBeenCalled();
      }));
});