describe('Service Bulletins:', function() {

  beforeEach(module('cmb'));

  var bulletinService, httpBackend;

  beforeEach(inject(function($injector, _bulletins_, $httpBackend) {
    bulletinService = _bulletins_;
    httpBackend = $httpBackend;
    /*
    bulletinService.bulletins = [{
      content: "Test1",
      id: 1,
      removable: false,
      valid_until: "Mon, 30 May 2016 00:00:00 GMT"
    }];
    bulletinService.init = false;
    */
  }));

  var responseActive = {
    bulletins: [
        {
          content: "Test2",
          id: 2,
          removable: true,
          valid_until: "Mon, 30 May 2016 00:00:00 GMT"
        }
      ]
  };

  // should be extended to check that alerts are actually displayed correctly
  it('should show all active bulletins', function() {
    httpBackend.when('http://localhost:5000/api/bulletins/active')
      .respond(200, responseActive);
    spyOn(bulletinService, 'show');
    bulletinService.show();

    expect(bulletinService.show).toHaveBeenCalled();
  });

});
